org.apache.xmlbeans.impl.common

## Class XBeanDebug

- java.lang.Object
- - org.apache.xmlbeans.impl.common.XBeanDebug

-     public class XBeanDebug
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `defaultProp`
    `static int` | `TRACE_SCHEMA_LOADING`
    `static String` | `traceProp`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBeanDebug()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `disable(int bits)`
    `static void` | `enable(int bits)`
    `static String` | `log(String message)`
    `static void` | `logException(Throwable t)`
    `static String` | `logStackTrace(String message)`
    `static boolean` | `test(int bits)`
    `static void` | `trace(int bits, String message, int indent)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TRACE_SCHEMA_LOADING

          public static final int TRACE_SCHEMA_LOADING

      See Also:
        Constant Field Values

    - #### traceProp

          public static final String traceProp

      See Also:
        Constant Field Values

    - #### defaultProp

          public static final String defaultProp

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### XBeanDebug

          public XBeanDebug()

  - ### Method Detail

    - #### enable

          public static void enable(int bits)

    - #### disable

          public static void disable(int bits)

    - #### trace

          public static void trace(int bits,
                                   String message,
                                   int indent)

    - #### test

          public static boolean test(int bits)

    - #### log

          public static String log(String message)

    - #### logStackTrace

          public static String logStackTrace(String message)

    - #### logException

          public static void logException(Throwable t)